#include <iostream>
using namespace std;
long long ostatak(long long a, long long m){
    return (a%m+m)%m;
}
int main(){
	int N,p=0;
	string slova;
	cin>>N>>slova;
	long mod=1000000007;
	long long res=1;
    for(char i='A';i<='Z';i++){
        int br=0;
        bool test=false;
        for(int j=p;j<N;j++)
            if(slova[j]==i){
                br++;
                if(slova[j]!=slova[j-1] && br>1)
                    test=true;
                if(slova[j]!=slova[j+1] && br==1)
                    p=j+1;
            }
        if(!test)
            res*=br;
        else
            res*=(br-1);
    }
    if(N<26)
        cout<<0;
    else if(N<=27 && res!=0)
        cout<<ostatak(res,mod)-1;
    else
        cout<<ostatak(res,mod);
	return 0;
}